<?php
///////////////////////////////////////////////////////////////////////////

require_once 'tv_group.php';

///////////////////////////////////////////////////////////////////////////

class AllChannelsTvGroup extends TvGroup
{
    public function __construct(Tv $tv, $title, $icon_url)
    {
        parent::__construct($tv, $tv->get_all_channel_group_id(), $title, $icon_url);
    }

    public function is_all_channels()
    { return true; }

    public function get_channels(&$plugin_cookies)
    {              
        $exclude_ids = $this->tv->get_exclude_channel_ids($plugin_cookies);
        
		$return_arr = array();
		
        foreach ($this->tv->get_channels() as $ch)
        {
            $channel_is_deleted = false;

			if (isset($exclude_ids) && count($exclude_ids) > 0)
				foreach ($exclude_ids as $ex_id)
					if ($ch->get_id() == $ex_id)
					{
                        $channel_is_deleted = true;
                        $key = array_search($ex_id, $exclude_ids);
                        if ($key !== false)
                            unset($exclude_ids[$key]);
						continue;
					}

			if ($channel_is_deleted)
				continue;
			
			$return_arr[] = $ch->get_id();            
        }
        return $return_arr;
    }    
    
}

///////////////////////////////////////////////////////////////////////////
?>
