<?php
///////////////////////////////////////////////////////////////////////////

require_once 'tv_group.php';

///////////////////////////////////////////////////////////////////////////

class FavoritesTvGroup extends TvGroup
{
    public function __construct(Tv $tv, $title, $icon_url)
    {
        parent::__construct($tv, '__favorites', $title, $icon_url);
    }

    public function is_favorite_channels()
    { return true; }

    public function get_channels(&$plugin_cookies)
    {
        $exclude_ids = $this->tv->get_exclude_channel_ids($plugin_cookies);
        $favorite_ids = $this->tv->get_fav_channel_ids($plugin_cookies);
        
        if (is_null($exclude_ids)) return $favorite_ids;

        $return_arr = array();
        foreach ($favorite_ids as $cid)
        {
            $channel_is_deleted = false;
            
			if (isset($exclude_ids) && count($exclude_ids) > 0)
				foreach ($exclude_ids as $ex_id)
					if ($cid == $ex_id)
					{
                        $channel_is_deleted = true;
                        $key = array_search($ex_id, $exclude_ids);
                        if ($key !== false)
                            unset($exclude_ids[$key]);
						continue;
					}

			if ($channel_is_deleted)
				continue;
			
			$return_arr[] = $cid;            
        }
        return $return_arr;        
    }
}

///////////////////////////////////////////////////////////////////////////
?>
