<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/control_factory.php';
require_once 'lib/action_factory.php';

///////////////////////////////////////////////////////////////////////////

class Messages
{

	public function __construct()
	{
	}

	///////////////////////////////////////////////////////////////////////

	protected static function chunk_explode_unicode($str, $len = 20)
	{
		$str = preg_replace('/\s\s*/uSs', ' ', trim($str));
		$matches = preg_match_all("/.{1,$len}/uSs", $str, $out, PREG_PATTERN_ORDER);
		return $matches > 0 ? $out[0] : array($str);
	}

	protected static function create_multiline_comment(&$defs, $comment, $length = 40, $lang)
	{
		$comment = trim($comment);
		if (! empty($comment)) {
			$lines = explode("\n", $comment);
			foreach ($lines as $line) {
				$texts = self::chunk_explode_unicode($line, $length);
				foreach ($texts as $text) {
					ControlFactory::add_label($defs, null, trim($text));
					ControlFactory::add_vgap($defs, -10);
				}
			}
		}
	}

////////////////////////////////////////////////////////////////////////////////

	public static function show_msg($caption, $message)
	{
	   $defs = array();
	   $params = array('button_caption_centered' => 1);
	   self::create_multiline_comment($defs, $message, 60);
	   ControlFactory::add_vgap($defs, 20);
	   ControlFactory::add_custom_close_dialog_and_apply_buffon($defs, null, T::t('cap_btn_ok'), 300, null, $params);

	   return ActionFactory::show_dialog($caption, $defs, true);
	}

	public static function show_tv_channel_info_msg($caption, $desc, $lang)
	{
	   $defs = array();
	   $params = array('button_caption_centered' => 1);
	   ControlFactory::add_label($defs, T::t('cap_audio_language'), $lang);
	   ControlFactory::add_vgap($defs, -10);
	   self::create_multiline_comment($defs, $desc, 60, $lang);
	   ControlFactory::add_vgap($defs, 20);
	   ControlFactory::add_custom_close_dialog_and_apply_buffon($defs, null, T::t('cap_btn_ok'), 300, null, $params);

	   return ActionFactory::show_dialog($caption, $defs, true);
	}

	public static function show_tv_channel_debug_msg($aa_info)
	{
	   $defs = array();
	   $params = array('button_caption_centered' => 1);
	   ControlFactory::add_label($defs, 'CH_ID:', $aa_info['cid']);
	   ControlFactory::add_vgap($defs, -10);	   
	   ControlFactory::add_label($defs, 'EPG_ID:', $aa_info['epg_id']);
	   ControlFactory::add_vgap($defs, -10);
	   ControlFactory::add_label($defs, 'Icon URL:', $aa_info['icon']);
	   ControlFactory::add_vgap($defs, -10);
	   ControlFactory::add_label($defs, 'Multicast URL:', $aa_info['url']);	   
	   ControlFactory::add_vgap($defs, 20);
	   ControlFactory::add_custom_close_dialog_and_apply_buffon($defs, null, T::t('cap_btn_ok'), 300, null, $params);

	   return ActionFactory::show_dialog($aa_info['number'].'. '.$aa_info['title'], $defs, true);
	}
}
////////////////////////////////////////////////////////////////////////////////
?>