<?php

class PluginConfig
{
	const PLUGIN_COPYRIGHT_INFO		= 'Brigadir (forum.hdtv.ru)';

	const TV_FAVORITES_SUPPORTED 	= true;

	const CHANNEL_LIST_URL 		= 'data/channels_list.xml';
	const AKADO_URL_FORMAT 		= 'http://tv.akado.ru/channels/%s.html?date=%s';
	const VSETV_URL_FORMAT 		= 'http://www.vsetv.com/schedule.php?selected_channel=channel_%s&selected_date=day_%s&timezone=14';

	const NUM_PAST_EPG_DAYS 	= 2;
	const NUM_FUTURE_EPG_DAYS	= 3;

	const ALL_CHANNELS_GROUP_ICON_URL = 'plugin_file://img/categories/global.png';
	const RECYCLE_BIN_GROUP_ICON_URL  = 'plugin_file://img/categories/recycle_bin.png';
	const FAV_CHANNELS_GROUP_ICON_URL = 'plugin_file://img/categories/fav.png';
	const CHANNEL_EMPTY_ICON_URL 	  = 'plugin_file://img/channels/def_ch_logo.png';
	const GROUP_ICON_URL_FORMAT   	  = 'plugin_file://img/categories/%s';
	const CHANNEL_ICON_URL_FORMAT 	  = 'plugin_file://img/channels/%s';

	const EPG_SOURCE_DEF_VALUE		= 'auto';
	const REGION_ID_DEF_VALUE 		= 400001;
	const USE_PROXY_DEF_VALUE 		= 'no';
	const PROXY_IP_PORT_DEF_VALUE 	= '192.168.0.1:9999';
	const BUFFERING_TIME_DEF_VALUE	= '1000';
	const PIN_CODE_DEF_VALUE		= '0000';
//	const CHANNEL_NAV_DEF_VALUE     = '0';

////////////////////////////////////////////////////////////////////////////////

	public static $use_proxy_ops = array(
			'no' 	=> 'Нет',
			'yes' 	=> 'Да');

	public static $buffering_ops = array(
			'500' 	=> '500',
			'1000' 	=> '1000 (по умолчанию)',
			'1500' 	=> '1500',
			'2000' 	=> '2000',
			'2500' 	=> '2500',
			'3000' 	=> '3000',
			'5000' 	=> '5000',
			'10000'	=> '10000');

	///////////////////////////////////////////////////////////////////////
	// Folder views.

	public static function GET_TV_GROUP_LIST_FOLDER_VIEWS()
	{
		return array(
					array
					(
						PluginRegularFolderView::async_icon_loading => false,

						PluginRegularFolderView::view_params => array
						(
							ViewParams::num_cols => 5,
							ViewParams::num_rows => 3,
							ViewParams::paint_icon_selection_box=> true,
							ViewParams::paint_path_box => false,
							ViewParams::paint_scrollbar => false,
							ViewParams::paint_help_line => true,
							ViewParams::paint_details => false,
							ViewParams::paint_content_box_background => false,
							ViewParams::background_path=> 'plugin_file://img/categories_bg.png',
							ViewParams::background_order => 0,
							ViewParams::background_height => 1080,
							ViewParams::background_width => 1920,
							ViewParams::optimize_full_screen_background => true,
							ViewParams::sandwich_width => 245,
							ViewParams::sandwich_height => 140,
							ViewParams::sandwich_icon_upscale_enabled => true,
							ViewParams::sandwich_icon_keep_aspect_ratio => false
						),

						PluginRegularFolderView::base_view_item_params => array
						(
							ViewItemParams::item_paint_icon => true,
							ViewItemParams::item_layout => HALIGN_CENTER,
							ViewItemParams::icon_valign => VALIGN_CENTER,
							ViewItemParams::item_paint_caption => true,
							ViewItemParams::icon_scale_factor => 1.25,
							ViewItemParams::icon_sel_scale_factor => 1.4,
						),

						PluginRegularFolderView::not_loaded_view_item_params => array ()
					),
		);
	}

	public static function GET_TV_CHANNEL_LIST_FOLDER_VIEWS()
	{
		return array(
					array
					(
						PluginRegularFolderView::async_icon_loading => false,

						PluginRegularFolderView::view_params => array
						(
							ViewParams::num_cols => 1,
							ViewParams::num_rows => 10,
							ViewParams::paint_icon_selection_box=> true,
							ViewParams::paint_details => true,
							ViewParams::paint_details_box_background => false,
							ViewParams::paint_content_box_background => false,
							ViewParams::paint_path_box => false,
							ViewParams::paint_scrollbar => true,
							ViewParams::paint_help_line => true,
							ViewParams::background_path=> 'plugin_file://img/channels_bg.png',
							ViewParams::background_order => 0,					
							ViewParams::zoom_detailed_icon => false,
							ViewParams::detailed_icon_scale_factor => 2.0,
							ViewParams::item_detailed_info_auto_line_break => true,
							ViewParams::optimize_full_screen_background => true,					
						),

						PluginRegularFolderView::base_view_item_params => array
						(
							ViewItemParams::item_paint_icon => true,
							ViewItemParams::item_layout => HALIGN_LEFT,
							ViewItemParams::icon_valign => VALIGN_CENTER,
							ViewItemParams::icon_width => 75,
							ViewItemParams::icon_height => 55,
							ViewItemParams::icon_margin_left => 8,
							ViewItemParams::icon_sel_margin_left => 8,
							ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
							ViewItemParams::item_caption_width => 1060,
							ViewItemParams::icon_path => self::CHANNEL_EMPTY_ICON_URL
						),

						PluginRegularFolderView::not_loaded_view_item_params => array
						(
							ViewItemParams::icon_path => self::CHANNEL_EMPTY_ICON_URL
						)
					),
		);
	}
}

?>
