<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/tv/default_channel.php';

///////////////////////////////////////////////////////////////////////////

class TvChannel extends DefaultChannel
{
    private $_number;
    private $_desc;
    private $_lang;
    private $_is_protected;
    private $_past_epg_days;
    private $_future_epg_days;
    private $_buffering_ms;
    private $_timeshift_hours;

    ///////////////////////////////////////////////////////////////////////

    public function __construct(
    	$id, $number, $title, $desc,
    	$lang, $icon_url, $streaming_url, $is_protected,
    	$past_epg_days = 7, $future_epg_days = 7, $buffering_ms = 1000, $timeshift_hours = 0)
    {
        parent::__construct($id, $title, $icon_url, $streaming_url);

        $this->_number = $number;
        $this->_desc = $desc;
        $this->_lang = $lang;
        $this->_is_protected = $is_protected;
        $this->_past_epg_days = $past_epg_days;
        $this->_future_epg_days = $future_epg_days;
        $this->_buffering_ms = $buffering_ms;
        $this->_timeshift_hours = $timeshift_hours;
    }

    ///////////////////////////////////////////////////////////////////////

    public function get_number()
    { return $this->_number; }

    public function get_desc()
    { return $this->_desc; }

    public function get_lang()
    { return $this->_lang; }

    public function is_protected()
    { return (intval($this->_is_protected) === 0) ? false : true; }

    public function get_past_epg_days()
    { return $this->_past_epg_days; }

    public function get_future_epg_days()
    { return $this->_future_epg_days; }

    public function get_buffering_ms()
    { return $this->_buffering_ms; }

    public function get_timeshift_hours()
    { return $this->_timeshift_hours; }

    ///////////////////////////////////////////////////////////////////////

    public function add_group($group_id)
    { $this->_groups[] = $group_id; }
}

///////////////////////////////////////////////////////////////////////////
?>
