<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/tv/default_group.php';

///////////////////////////////////////////////////////////////////////////

class TvGroup extends DefaultGroup
{

	protected $tv;

    public function __construct(Tv $tv, $id, $title, $icon_url)
    {
		parent::__construct($id, $title, $icon_url);
		
		$this->tv = $tv;
        $this->_channels = null;
    }

    public function get_channels(&$plugin_cookies)
    {               
        $exclude_ids = $this->tv->get_exclude_channel_ids($plugin_cookies);

        $return_arr = array();
        
        foreach ($this->tv->get_channels() as $ch)
        {
            if (!in_array($this->get_id(), $ch->get_groups()))
                continue;

            $channel_is_deleted = false;

			if (count($exclude_ids) > 0)
				foreach ($exclude_ids as $ex_id)
					if ($ch->get_id() == $ex_id)
					{
                        $channel_is_deleted = true;
                        $key = array_search($ex_id, $exclude_ids);
                        if ($key !== false)
                            unset($exclude_ids[$key]);
						continue;
					}

			if ($channel_is_deleted)
				continue;
			
			$return_arr[] = $ch->get_id();            
        }
        return $return_arr;
    }
    
}

///////////////////////////////////////////////////////////////////////////
?>
